kio Library: KNFSShare Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNFSShare Class Reference

Similar functionality like KFileShare, but works only for NFS and do not need any suid script. More...

`#include <knfsshare.h>`

Inheritance diagram for KNFSShare:

[legend]
Collaboration diagram for KNFSShare:

[legend]
List of all members.

## Signals
void | changed ()
## Public Member Functions
bool | isDirectoryShared (const QString &path) const
QStringList | sharedDirectories () const
virtual | ~KNFSShare ()
QString | exportsPath () const
## Static Public Member Functions
static KNFSShare * | instance ()

## Detailed Description

Similar functionality like KFileShare, but works only for NFS and do not need any suid script.

It parses the /etc/exports file to get its information. Singleton class, call instance() to get an instance.

Definition at line 35 of file knfsshare.h.

## Constructor & Destructor Documentation

KNFSShare::~KNFSShare | ( |  | ) | `[virtual]`

| KNFSShare destructor. Do not call! The instance is destroyed automatically! Definition at line 170 of file knfsshare.cpp.

## Member Function Documentation

KNFSShare * KNFSShare::instance | ( |  | ) | `[static]`

| Returns the one and only instance of KNFSShare. Definition at line 208 of file knfsshare.cpp. Referenced by KFileItem::overlays().

bool KNFSShare::isDirectoryShared | ( | const QString & | path | ) | const

  | Wether or not the given path is shared by NFS. Parameters:
  | path | the path to check if it is shared by NFS.
Returns: wether the given path is shared by NFS. Definition at line 175 of file knfsshare.cpp. References QString::find(). Referenced by KFileItem::overlays().

QStringList KNFSShare::sharedDirectories | ( |  | ) | const

| Returns a list of all directories shared by NFS. The resulting list is not sorted. Returns: a list of all directories shared by NFS. Definition at line 183 of file knfsshare.cpp.

QString KNFSShare::exportsPath | ( |  | ) | const

| Returns the path to the used exports file, or null if no exports file was found. Definition at line 192 of file knfsshare.cpp.

void KNFSShare::changed | ( |  | ) | `[signal]`

| Emitted when the /etc/exports file has changed.

The documentation for this class was generated from the following files:

- knfsshare.h
- knfsshare.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003